
# Interface: IOptionConfig

PIM selector list config example.
```
{
  "widgets": [
    {
      "name": "pim-option",
      "type": "pim-option",
      "params": {
        "option": {
            "type": "radio",
            "name": "Option1",
            "id": 1,
            "values": [
                {
                    "name": "dog",
                    "id": 0
                },
                {
                    "name": "cat",
                    "id": 1
                }
            ],
            "selected": 1,
            "tooltip": "its a tooltip",
            "description": "its a desc"
        },
        "onChange": "{{ #function console.warn($['pim-option']._); }}"
      }
    }
  ]
}
```

## Hierarchy

* **IOptionConfig**

## Index

### Properties

* [active](ioptionconfig.md#optional-active)
* [config](ioptionconfig.md#optional-config)
* [css](ioptionconfig.md#optional-css)
* [onChange](ioptionconfig.md#optional-onchange)
* [option](ioptionconfig.md#option)
* [parentWidgetName](ioptionconfig.md#optional-parentwidgetname)
* [style](ioptionconfig.md#optional-style)
* [visible](ioptionconfig.md#optional-visible)

## Properties

### `Optional` active

• **active**? : *boolean*

___

### `Optional` config

• **config**? : *[IMetadataConfig](imetadataconfig.md)*

___

### `Optional` css

• **css**? : *string*

___

### `Optional` onChange

• **onChange**? : *Function | Function[]*

A single function or an array of functions that will be executed when the option value is changed.

___

###  option

• **option**: *[IOption](ioption.md)*

___

### `Optional` parentWidgetName

• **parentWidgetName**? : *string*

___

### `Optional` style

• **style**? : *object*

#### Type declaration:

* \[ **key**: *string*\]: string

___

### `Optional` visible

• **visible**? : *boolean*
